textures/tomboat/terrain_0
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/coraltwctf/grndjustsand.jpg
		rgbGen vertex
		tcmod scale 0.235 0.299
	}
}

textures/tomboat/terrain_1
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/stone/pjrock1.jpg
		rgbGen vertex
		tcmod scale 0.235 0.299
	}
}

textures/tomboat/terrain_0to1
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/coraltwctf/grndjustsand.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.235 0.299
	}
	{
		map textures/stone/pjrock1.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.235 0.299
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/tomboat/terrain.vertex
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/coraltwctf/grndjustsand.jpg
		rgbGen vertex
		tcmod scale 0.235 0.299
	}
}

textures/tomboat/bluesea
	{
		qer_editorimage textures/coraltwctf/watr1.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm nolightmap
		surfaceparm water
		surfaceparm nomarks
		cull disable
		qer_nocarve
		deformVertexes wave 64 sin 0 2 0 0.1

		{ 
			map textures/coraltwctf/watr1.tga
			blendFunc GL_dst_color GL_one
			rgbgen wave sin 0.4 0 0 0
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/liquids/pool3d_3e.tga
			blendFunc GL_dst_color GL_one
			rgbgen wave sin 0.4 0 0 0
			tcmod scale -.4 -.4
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	}

textures/tomboat/seafog
{
	qer_editorimage textures/sfx/fog_blue.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	qer_nocarve
	fogparms ( 0.4 0.5 0.9 ) 512

}

textures/tomboat/frozensea
	{
		qer_editorimage textures/coraltwctf/watr1.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nolightmap
		surfaceparm slick
		qer_nocarve
		{ 
			map textures/coraltwctf/watr1.tga
			blendFunc GL_dst_color GL_one
			rgbgen wave sin 0.20 0 0
		}
		{ 
			map textures/liquids/pool3d_3e.tga
			blendFunc GL_dst_color GL_one
			rgbgen wave sin 0.4 0 0 0
			tcMod scale 0.5 0.5 
		}
	}

textures/tomboat/seafogwinter
{
	qer_editorimage textures/sfx/fog_blue.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	qer_nocarve
	fogparms ( 0.7 0.7 0.75 ) 128

}

textures/tomboat/fish2
{
	qer_editorimage textures/coraltwctf/sakana2.tga
	surfaceparm trans	
	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
    nopicmip
	{
		map textures/coraltwctf/sakana2.tga

		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/tomboat/fish3
{
	qer_editorimage textures/coraltwctf/sakana3.tga
	surfaceparm trans	
	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
    nopicmip
	{
		map textures/coraltwctf/sakana3.tga

		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/tomboat/whitenonsolid
{
	qer_editorimage textures/tomboat/white.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tomboat/white.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen wave sin 0.74 0 0 0
	}
}

textures/tomboat/rednonsolid
{
	qer_editorimage textures/tomboat/red.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tomboat/red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen wave sin 0.74 0 0 0
	}
}

textures/tomboat/oceansky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
        q3map_lightimage textures/common/white.tga
	qer_editorimage env/ocean01_bk.tga
	q3map_sun	1 1 1 200 -54.65 42
	q3map_sun	0.8 0.87 1 24 -234.65 42
	q3map_sun	0.8 0.87 1 12 0 90

        skyparms env/ocean01 - -
}

textures/tomboat/treasureshiny
{
	qer_editorimage textures/tomboat/treasure.tga
	{
		//map $lightmap
		map textures/tomboat/treasureshine.tga
                tcGen environment
		tcmod scale 1 1
		rgbGen identity   
	}


	{
		map textures/tomboat/treasure.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}


	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

}

textures/tomboat/coinshiny
{
	qer_editorimage textures/tomboat/coin.tga
	nopicmip
	{
		map textures/tomboat/treasureshine.tga
                tcGen environment
		tcmod scale 1 1
		rgbGen identity   
	}

	{
		map textures/tomboat/coin.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}


	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

}


textures/tomboat/oceanskywinter
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
        q3map_lightimage textures/common/white.tga
	qer_editorimage textures/coraltwctf/ocean01_bk.tga
	q3map_sun	0.9 0.94 1 150 -54.65 42
	q3map_sun	0.7 0.8 1 24 -234.65 42
	q3map_sun	0.7 0.8 1 12 0 90

        skyparms env/ocean01 - -
}

textures/tomboat/nonsolidbaselight
{
	surfaceparm nonsolid
	qer_editorimage textures/base_light/ceil1_37.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_37.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_37.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/tomboat/bloodinthewater
{
	qer_editorimage models/weaphits/blood203.tga
	cull none
	qer_trans .8
    nopicmip
	surfaceparm trans
    surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map models/weaphits/blood203.tga
		rgbgen wave sin 0.75 0 0 0
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/tomboat/weapclipblood
{
	qer_trans 0.40
	qer_editorimage textures/sabshark/shark.tga
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm flesh
}

textures/tomboat/nomarksea
{
	qer_editorimage textures/coraltwctf/sea.tga
	q3map_globaltexture
	surfaceparm nomarks
	surfaceparm noimpact
    surfaceparm nolightmap
	{
		map textures/coraltwctf/sea.tga
	}
}

textures/tomboat/pureblack
{
	qer_editorimage textures/common/nolightmap.tga
	surfaceparm nolightmap
	{
		map textures/tomboat/white.tga
		rgbgen wave sin 0 0 0 0
	}
}

textures/tomboat/purewhite
{
	qer_editorimage textures/tomboat/white.tga
	surfaceparm nolightmap
	{
		map textures/tomboat/white.tga
	}
}